"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadCompilerOptions = void 0;
const tslib_1 = require("tslib");
const find_up_1 = tslib_1.__importDefault(require("find-up"));
const jsonfile_1 = tslib_1.__importDefault(require("jsonfile"));
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
function loadCompilerOptions(tsconfigPath) {
    if (!tsconfigPath) {
        const configPath = find_up_1.default.sync(['tsconfig.json']);
        if (configPath) {
            const config = jsonfile_1.default.readFileSync(configPath);
            return config['compilerOptions'] || {};
        }
    }
    else {
        if (fs_extra_1.default.existsSync(tsconfigPath)) {
            const config = jsonfile_1.default.readFileSync(tsconfigPath);
            return config['compilerOptions'] || {};
        }
    }
}
exports.loadCompilerOptions = loadCompilerOptions;
//# sourceMappingURL=load-compiler-options.js.map